YPSYNC(8)

NAME
ypsync - collect most up-to-date NIS maps

SYNOPSIS
/usr/etc/yp/ypsync [ -r ] [ -u ]

AVAILABILITY

Available only on Sun 386i systems running a SunOS 4.0.x release or earlier. Not a SunOS 4.1 release feature.

DESCRIPTION

ypsync gathers current Network Information Service (NIS) maps to the local NIS server. When invoked with no arguments, it polls all the NIS servers listed in the /etc/ypservers NIS map for the maps they serve, and the order of those maps. If there are any new maps that the local server does not have, or if there are maps that are more current than the local server's copy, it excutes ypxfr(8) to transfer those maps to the local server.

ypsync eliminates the need for cron(8) jobs to ensure that NIS map updates are eventually transmitted to all NIS servers, and supports different NIS maps having different masters. It is invoked periodically by ypserv(8).

OPTIONS

-r  When invoked with the -r flag, ypsync re-creates the local /var/yp directory and databases if needed. This facility is used when upgrading servers, since they can automatically retrieve NIS maps without needing manual intervention. The NIS master of the ypservers map can also designate new servers, which would automatically pick up their new maps on reboot.

-u  When invoked with the -u flag, ypsync updates the list of NIS servers on the master of the ypservers NIS map to include the local system if it does not already, and then get copies of all the NIS databases. A user invoking ypsync -u may not be root, and must have the networks privilege in the NIS group map.

FILES
/var/yp/YP.domainname

SEE ALSO
ypupdate(3), ypserv(8), ypxfr(8)

Sun386i Advanced Administration

System and Network Administration

NOTES

The Network Information Service (NIS) was formerly known as Sun Yellow Pages (YP). The functionality of the two remains the same; only the name has changed. The name Yellow Pages is a registered trademark in the United Kingdom of British Telecommunications plc, and may not be used without permission.